214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Series / 15 of 75

Search series

GET/v1/series/search

Free-text search across series names in every language held, ranked by match and freshness.

Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
qrequiredstring
query
Words to match in series names
e.g. hotel nights foreign
countryoptionalstring
query
One or more ISO codes, comma separated
e.g. CL,BA,AT
limitoptionalinteger
query
Rows per page, 1 to 1000
e.g. 100
Request
# Full-text search over two million series names
curl "https://api.tourismapi.com/v1/series/search?q=hotel nights foreign" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_80ea08050d",
        "data_as_of": "2026-10-20T04:48:00Z",
        "count": 25,
        "q": "hotel nights foreign"
    },
    "data": [
        {
            "id": "sr_2efm01hs",
            "alias": null,
            "country": "NO",
            "name": "Hotels and similar establishments, Foreign national, total, Guest nights",
            "measure": "capacity",
            "breakdown": null,
            "freq": "M",
            "unit": "",
            "first": "2010-01",
            "last": "2019-12",
            "points": 120,
            "headline": false
        },
        {
            "id": "sr_yj47ah45",
            "alias": null,
            "country": "NO",
            "name": "Hotels and similar establishments, Foreign national, total, Guest nights so far this year",
            "measure": "capacity",
            "breakdown": null,
            "freq": "M",
            "unit": "",
            "first": "2010-01",
            "last": "2019-12",
            "points": 120,
            "headline": false
        },
        {
            "id": "sr_sn352fer",
            "alias": null,
            "country": "BE",
            "name": "Nights spent at accommodation: Foreign country, Hotels; holiday and other short-stay accommodation; camping grounds, recreational vehicle parks and trailer parks",
            "measure": "nights",
            "breakdown": "origin",
            "freq": "M",
            "unit": "Number",
            "first": "1990-01",
            "last": "2026-07",
            "points": 439,
            "headline": false
        }
    ]
}
Response fields
FieldTypeExample
idstringsr_2efm01hs
aliasnullnull
countrystringNO
namestringHotels and similar establishments, Foreign national, total, Guest nights
measurestringcapacity
breakdownnullnull
freqstringM
unitstring
firststring2010-01
laststring2019-12
pointsnumber120
headlinebooleanfalse